## org.eclipse.datatools.sqltools.sqleditor.internal.indent
Interface Symbols

All Known Implementing Classes:
  SQLHeuristicScanner

    public interface Symbols

Symbols for the heuristic sql scanner.

Author:
  Li Huang

Field Summary
`static java.lang.String` `begin`
`static java.lang.String` `BEGIN`
`static java.lang.String` `beginTrail`
`static java.lang.String` `BEGINTrail`
`static int` `Tokenbegin`
`static int` `TokenBEGIN`
`static int` `Tokenend`
`static int` `TokenEND`
`static int` `TokenEOF`
`static int` `TokenIDENT`
`static int` `TokenOTHER`

Field Detail

### TokenEOF

    static final int TokenEOF

See Also:
  Constant Field Values

### TokenOTHER

    static final int TokenOTHER

See Also:
  Constant Field Values

### Tokenbegin

    static final int Tokenbegin

See Also:
  Constant Field Values

### TokenBEGIN

    static final int TokenBEGIN

See Also:
  Constant Field Values

### Tokenend

    static final int Tokenend

See Also:
  Constant Field Values

### TokenEND

    static final int TokenEND

See Also:
  Constant Field Values

### TokenIDENT

    static final int TokenIDENT

See Also:
  Constant Field Values

### BEGIN

    static final java.lang.String BEGIN

See Also:
  Constant Field Values

### begin

    static final java.lang.String begin

See Also:
  Constant Field Values

### beginTrail

    static final java.lang.String beginTrail

See Also:
  Constant Field Values

### BEGINTrail

    static final java.lang.String BEGINTrail

See Also:
  Constant Field Values